AwsCredentials (Gradle API 8.11.1)

Package org.gradle.api.credentials

## Interface AwsCredentials

- All Superinterfaces:
    `Credentials`

      public interface AwsCredentials
      extends Credentials

  Represents credentials used to authenticate with Amazon Web Services.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getAccessKey()` | Returns the access key to use to authenticate with AWS.
    `java.lang.String` | `getSecretKey()` | Returns the secret key to use to authenticate with AWS.
    `java.lang.String` | `getSessionToken()` | Returns the secret key to use to authenticate with AWS.
    `void` | `setAccessKey​(java.lang.String accessKey)` | Sets the access key to use to authenticate with AWS.
    `void` | `setSecretKey​(java.lang.String secretKey)` | Sets the secret key to use to authenticate with AWS.
    `void` | `setSessionToken​(java.lang.String token)` | Sets the secret key to use to authenticate with AWS.

- - ### Method Detail

    - #### getAccessKey

          @Nullable
          java.lang.String getAccessKey()

      Returns the access key to use to authenticate with AWS.

    - #### setAccessKey

          void setAccessKey​(@Nullable
                            java.lang.String accessKey)

      Sets the access key to use to authenticate with AWS.

    - #### getSecretKey

          @Nullable
          java.lang.String getSecretKey()

      Returns the secret key to use to authenticate with AWS.

    - #### setSecretKey

          void setSecretKey​(@Nullable
                            java.lang.String secretKey)

      Sets the secret key to use to authenticate with AWS.

    - #### getSessionToken

          @Nullable
          java.lang.String getSessionToken()

      Returns the secret key to use to authenticate with AWS.
      Since:
        3.3

    - #### setSessionToken

          void setSessionToken​(@Nullable
                               java.lang.String token)

      Sets the secret key to use to authenticate with AWS.
      Since:
        3.3